"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeletePipeline_1 = require("../model/operations/DeletePipeline");
class DeletePipelineCommand {
    constructor(input) {
        this.input = input;
        this.model = DeletePipeline_1.DeletePipeline;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeletePipelineCommand = DeletePipelineCommand;
//# sourceMappingURL=DeletePipelineCommand.js.map