"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdatePipelineStatus_1 = require("../model/operations/UpdatePipelineStatus");
class UpdatePipelineStatusCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdatePipelineStatus_1.UpdatePipelineStatus;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdatePipelineStatusCommand = UpdatePipelineStatusCommand;
//# sourceMappingURL=UpdatePipelineStatusCommand.js.map