"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListPipelinesInput_1 = require("../shapes/ListPipelinesInput");
const ListPipelinesOutput_1 = require("../shapes/ListPipelinesOutput");
const ValidationException_1 = require("../shapes/ValidationException");
const IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const InternalServiceException_1 = require("../shapes/InternalServiceException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPipelines = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPipelines",
    http: {
        method: "GET",
        requestUri: "/2012-09-25/pipelines"
    },
    input: {
        shape: ListPipelinesInput_1.ListPipelinesInput
    },
    output: {
        shape: ListPipelinesOutput_1.ListPipelinesOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=ListPipelines.js.map