"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ReadPipelineInput_1 = require("../shapes/ReadPipelineInput");
const ReadPipelineOutput_1 = require("../shapes/ReadPipelineOutput");
const ValidationException_1 = require("../shapes/ValidationException");
const IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const InternalServiceException_1 = require("../shapes/InternalServiceException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ReadPipeline = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ReadPipeline",
    http: {
        method: "GET",
        requestUri: "/2012-09-25/pipelines/{Id}"
    },
    input: {
        shape: ReadPipelineInput_1.ReadPipelineInput
    },
    output: {
        shape: ReadPipelineOutput_1.ReadPipelineOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=ReadPipeline.js.map