"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ReadPresetInput_1 = require("../shapes/ReadPresetInput");
const ReadPresetOutput_1 = require("../shapes/ReadPresetOutput");
const ValidationException_1 = require("../shapes/ValidationException");
const IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const InternalServiceException_1 = require("../shapes/InternalServiceException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ReadPreset = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ReadPreset",
    http: {
        method: "GET",
        requestUri: "/2012-09-25/presets/{Id}"
    },
    input: {
        shape: ReadPresetInput_1.ReadPresetInput
    },
    output: {
        shape: ReadPresetOutput_1.ReadPresetOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=ReadPreset.js.map