"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdatePipelineInput_1 = require("../shapes/UpdatePipelineInput");
const UpdatePipelineOutput_1 = require("../shapes/UpdatePipelineOutput");
const ValidationException_1 = require("../shapes/ValidationException");
const IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
const AccessDeniedException_1 = require("../shapes/AccessDeniedException");
const ResourceInUseException_1 = require("../shapes/ResourceInUseException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalServiceException_1 = require("../shapes/InternalServiceException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdatePipeline = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdatePipeline",
    http: {
        method: "PUT",
        requestUri: "/2012-09-25/pipelines/{Id}"
    },
    input: {
        shape: UpdatePipelineInput_1.UpdatePipelineInput
    },
    output: {
        shape: UpdatePipelineOutput_1.UpdatePipelineOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=UpdatePipeline.js.map